Beginning on October 25th, 2016, Persona will no longer be an option for authentication on BMO. For more details see Persona Deprecated.
Last Comment Bug 494860 - [Central-European languages] Cannot add contacts if Thunderbird interface is set to non-English
: [Central-European languages] Cannot add contacts if Thunderbird interface is ...
: dataloss
Product: Thunderbird
Classification: Client Software
Component: Address Book (show other bugs)
: unspecified
: x86_64 Linux
: -- critical (vote)
: ---
Assigned To: Alexandru Szasz
Depends on:
Blocks: 632886
  Show dependency treegraph
Reported: 2009-05-26 01:51 PDT by Răzvan Sandu
Modified: 2012-10-15 16:16 PDT (History)
6 users (show)
See Also:
Crash Signature:
QA Whiteboard:
Iteration: ---
Points: ---


Description Răzvan Sandu 2009-05-26 01:51:35 PDT
User-Agent:       Mozilla/5.0 (X11; U; Linux x86_64; ro; rv: Gecko/2009042523 Ubuntu/9.04 (jaunty) Firefox/3.0.10
Build Identifier: version (20090409)

I am running a stock Ubuntu 9.04 machine, with stock Thunderbird

The system is set to Romanian language.

UTF-8 is set in Thunderbird -> Preferences -> Display -> Fonts -> Character Encoding (both drop lists; "Use default encoding in replies" is checked).

When sending e-mails, contacts are automatically added to "Personal Address Book" as usual.

However, when trying to manually add a contact in the addressbook, the following error message pops up, denying operation:

<!DOCTYPE overlay SYSTEM "chrome://messenger/locale/addresbook/abcardOverlay.dtd">

Setting the Ubuntu system in English (form the System menu - Language support) solves the problem, so I guess is a matter of encoding/localization.

I guess the bug is not specific to Romanian language.

Reproducible: Always

Steps to Reproduce:
1. Set a stock Ubuntu 9.04 system with Romanian interface
2. Install Thunderbird from official repository
3. Try to manually add a new contact in the AddressBook

Actual Results:  
When trying to manually add a contact in the addressbook, the following error message pops up, denying operation:

<!DOCTYPE overlay SYSTEM "chrome://messenger/locale/addresbook/abcardOverlay.dtd">

Expected Results:  
Adding contacts and lists should perform normally.

The following Unicode codes are widely used in Romanian language (not exclusively):

0218, 0219, 021A, 021B

System-wide support for Romanian language is correctly implemented in current Ubuntu, Fedora, Debian and probably others (still not in CentOS 5.3).
Comment 1 Mark Banner (:standard8) 2009-05-26 02:07:58 PDT
Can you go to Tools -> Error Console and see if anything appears when you try to manually add a contact? If so copy and paste it here please.
Comment 2 Alexandru Szasz 2009-05-26 02:58:31 PDT
It's a localization fault, but Thunderbird 2 is not available in Romanian, there is just a language pack on
Comment 3 Alexandru Szasz 2009-05-26 03:12:56 PDT
Could not reproduce the bug with the addon. It might be a problem only on Ubuntu.
Comment 4 Răzvan Sandu 2009-05-26 03:16:06 PDT


I'm getting two errors:

Eroare: OnLoadNewCard is not defined
Fișier sursă: chrome://messenger/content/addressbook/abNewCardDialog.xul
Rândul: 1

Eroare: NewCardOKButton is not defined
Fișier sursă: chrome://global/content/bindings/dialog.xml
Rândul: 356

Comment 5 Raul Malea 2011-03-14 03:31:06 PDT
This bug is obsolete? Perhaps fixed?
Comment 6 Răzvan Sandu 2011-03-14 05:34:55 PDT
Thanks - it is fixed in Ubuntu 10.10 that I'm running now, I cannot verify for the initial Ubuntu version (9.04).

Comment 7 Raul Malea 2012-10-15 12:59:11 PDT
Razvan, perhaps this bug is resolved now?

Note You need to log in before you can comment on or make changes to this bug.